--- nndraft.el	1999/07/07 01:51:24	1.1
+++ nndraft.el	1999/07/07 02:43:12
@@ -30,6 +30,7 @@
 (require 'gnus-start)
 (require 'nnmh)
 (require 'nnoo)
+(require 'mm-util)
 (eval-when-compile
   (require 'cl)
   ;; This is just to shut up the byte-compiler.
@@ -111,8 +112,10 @@
       (when (and (file-exists-p newest)
 		 (let ((nnmail-file-coding-system
 			(if (file-newer-than-file-p file auto)
-			    'binary
-			  message-draft-coding-system)))
+			    (if (equal group "drafts")
+				message-draft-coding-system
+			      mm-text-coding-system)
+			  mm-auto-save-coding-system)))
 		   (nnmail-find-file newest)))
 	(save-excursion
 	  (set-buffer nntp-server-buffer)
--- gnus-sum.el	1999/07/07 02:34:56	1.1
+++ gnus-sum.el	1999/07/07 02:38:07
@@ -9284,6 +9284,8 @@
 
 (defun gnus-summary-setup-default-charset ()
   "Setup newsgroup default charset."
+  (if (equal gnus-newsgroup-name "nndraft:drafts")
+      (setq gnus-newsgroup-charset nil)
   (let* ((name (and gnus-newsgroup-name
 		   (gnus-group-real-name gnus-newsgroup-name)))
 	 (ignored-charsets 
@@ -9316,7 +9318,7 @@
 			 charset)))
 	      gnus-default-charset))
     (set (make-local-variable 'gnus-newsgroup-ignored-charsets) 
-	 ignored-charsets)))
+	 ignored-charsets))))
 
 ;;;
 ;;; Mime Commands
--- mm-util.el	1999/07/07 01:52:35	1.1
+++ mm-util.el	1999/07/07 02:03:09
@@ -118,6 +118,18 @@
     (x-ctext . ctext))
   "A mapping from invalid charset names to the real charset names.")
 
+(defconst mm-auto-save-coding-system
+  (cond 
+   ((memq 'emacs-mule (mm-get-coding-system-list))
+    (if (memq system-type '(windows-nt ms-dos ms-windows))
+	'emacs-mule-dos 'emacs-mule))
+   ((memq 'escape-quoted (mm-get-coding-system-list))
+    'escape-quoted)
+   ((memq 'no-conversion (mm-get-coding-system-list))
+    'no-conversion)
+   (t nil))
+  "Coding system of auto save file.")
+
 ;;; Internal variables:
 
 ;;; Functions:
--- message.el	1999/07/07 02:03:34	1.1
+++ message.el	1999/07/07 02:04:55
@@ -861,14 +861,7 @@
   "Coding system to encode outgoing mail.")
 
 (defvar message-draft-coding-system
-  (cond
-   ((not (fboundp 'coding-system-p)) nil)
-   ((coding-system-p 'emacs-mule) 
-    (if (string-match "nt\\|windows" system-configuration)
-	'emacs-mule-dos 'emacs-mule))
-   ((memq 'escape-quoted (mm-get-coding-system-list)) 'escape-quoted)
-   ((coding-system-p 'no-conversion) 'no-conversion)
-   (t nil))
+  mm-auto-save-coding-system
   "Coding system to compose mail.")
 
 ;;; Internal variables.
